## python-tabulate 0.8.10

=== .circleci/requirements.txt ===
pytest
tox
numpy
pandas
wcwidth

## python-tabulate 0.7.5

=== debian/changelog ===
python-tabulate (0.7.5-1) unstable; urgency=low

  * Initial release (Closes: #782140)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Wed, 08 Apr 2015 19:29:08 +0800

=== debian/control ===
Source: python-tabulate
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
           Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools,
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools,
Standards-Version: 3.9.6
Section: python
Homepage: https://bitbucket.org/astanin/python-tabulate/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-tabulate.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-tabulate.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-tabulate
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: pretty-print tabular data in Python2
 Pretty-print tabular data in Python, a library and a command-line utility.
 The main use cases of the library are:
 .
  * printing small tables without hassle: just one function call, formatting is
    guided by the data itself
  * authoring tabular data for lightweight plain-text markup: multiple output
    formats suitable for further editing or transformation
  * readable presentation of mixed textual and numeric data: smart column
    alignment, configurable number formatting, alignment by a decimal point
 .
 This package installs the library for Python 2.

Package: python3-tabulate
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: pretty-print tabular data in Python3
 Pretty-print tabular data in Python, a library and a command-line utility.
 The main use cases of the library are:
 .
  * printing small tables without hassle: just one function call, formatting is
    guided by the data itself
  * authoring tabular data for lightweight plain-text markup: multiple output
    formats suitable for further editing or transformation
  * readable presentation of mixed textual and numeric data: smart column
    alignment, configurable number formatting, alignment by a decimal point
 .
 This package installs the library for Python 3, and the cli tool.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_NAME = tabulate

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# Install executable in python3-tabulate only to avoid name collision.
	rm -rf $(CURDIR)/debian/python-tabulate/usr/bin

## python-tabulate 0.7.7

=== debian/changelog ===
python-tabulate (0.7.7-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - adjust Vcs-Browser to DPMT standards
  * debian/control
    - update upstream copyright years
    - add copyright for my contributions
    - add wcwidth to b-d
    - bump Standards-Version to 3.9.8 (no changes needed)
  * debian/python-tabulate.examples
    - dont install benchmarl.py in py2 package, remove from the tarball
  * debian/rules
    - dont run tests (for now)
  * compat level 10

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Fri, 16 Dec 2016 19:37:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-tabulate
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Sandro Tosi <morph@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
                python3-nose,
@@ -11,11 +11,13 @@
                python-all (>= 2.6.6-3~),
                python-nose,
                python-setuptools,
-Standards-Version: 3.9.6
+               python-wcwidth,
+               python3-wcwidth,
+Standards-Version: 3.9.8
 Section: python
 Homepage: https://bitbucket.org/astanin/python-tabulate/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-tabulate.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-tabulate.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tabulate.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tabulate.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-tabulate 0.8.2

=== debian/changelog ===
python-tabulate (0.8.2-1) unstable; urgency=medium

  * New maintainer. Closes: #888214
  * New upstream release

 -- Yago González <yagogonzalezg@gmail.com>  Sat, 17 Mar 2018 20:57:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-tabulate
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Yago González <yagogonzalezg@gmail.com>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 10),

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	dh_install
 	# Install executable in python3-tabulate only to avoid name collision.
 	rm -rf $(CURDIR)/debian/python-tabulate/usr/bin
+
+override_dh_auto_test:
+	echo "https://bitbucket.org/astanin/python-tabulate/issues/106/test-commonpy-not-release-in-pypi-tarball"

## python-tabulate 0.8.6

=== debian/changelog ===
python-tabulate (0.8.6-0ubuntu2) focal; urgency=medium

  * d/rules: Re-enable unit test suite.
  * d/source/options: Ignore any changes in the egg-info directory.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2020 10:46:16 +0000

python-tabulate (0.8.6-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release.
  * d/python3-tabulate.docs: Updated to README.md.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 20 Dec 2019 16:44:10 +0100

python-tabulate (0.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938209
  * Remove myself from Uploaders
  * Remove Vcs-* fields, it is no longer maintained in DPMT; Closes: #923543

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Oct 2019 19:44:45 -0400

## python-tabulate 0.8.7

=== debian/changelog ===
python-tabulate (0.8.7-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * upstream README updated from .rst to .md

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 19:03:25 +0800

=== debian/control ===
Source: python-tabulate
Priority: optional
Maintainer: Yago González <yagogonzalezg@gmail.com>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-wcwidth,
Standards-Version: 3.9.8
Section: python
Homepage: https://bitbucket.org/astanin/python-tabulate/

Package: python3-tabulate
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: pretty-print tabular data in Python3
 Pretty-print tabular data in Python, a library and a command-line utility.
 The main use cases of the library are:
 .
  * printing small tables without hassle: just one function call, formatting is
    guided by the data itself
  * authoring tabular data for lightweight plain-text markup: multiple output
    formats suitable for further editing or transformation
  * readable presentation of mixed textual and numeric data: smart column
    alignment, configurable number formatting, alignment by a decimal point
 .
 This package installs the library for Python 3, and the cli tool.

## python-tabulate 0.8.9

=== debian/changelog ===
python-tabulate (0.8.9-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 14:58:53 -0500

python-tabulate (0.8.7-0ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 14:44:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-tabulate
 Priority: optional
-Maintainer: Yago González <yagogonzalezg@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yago González <yagogonzalezg@gmail.com>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends: debhelper (>= 10),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
export PYBUILD_NAME = tabulate

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	echo "https://bitbucket.org/astanin/python-tabulate/issues/106/test-commonpy-not-release-in-pypi-tarball"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/tabulate/tabulate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tabulate 0.8.10

=== debian/changelog ===
python-tabulate (0.8.10-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Yago González ]
  * New upstream version 0.8.10 (Closes: #1051234)

 -- Graham Inggs <ginggs@debian.org>  Mon, 15 Jan 2024 12:01:48 +0000

python-tabulate (0.8.9-1) unstable; urgency=medium

  [ Yago González ]
  * New upstream release.
  * Remove git-dpm in favour of gbp.
  * Set debian/master as the Debianized branch, following DPT's Policy.
  * Remove unused python3-nose dependency.
  * Remove patch for FTBFS issue with Python 3.10 (solved upstream).
  * Update references of upstream repo.
  * Set Vcs-* to new DPT repo.
  * Add myself to d/copyright for debian/*.
  * Upgrade debian/watch to v4.
  * Upgrade debian/control to Standards Version 4.6.0.
  * Upgrade debhelper-compat to v13.
  * Update upstream copyright.
  * Set the Debian Python Team as the maintainer.

  [ Ondřej Nový ]
  * Use https protocol in Format field.
  * Use https protocol in watch URL.

  [ Gordon Ball ]
  * Update Standards-Version to 4.3.0.
  * Declare Testsuite: autopkgtest-pkg-python so importability is tested.
  * Re-enable build time tests.

 -- Yago González <yagogonzalezg@gmail.com>  Wed, 08 Dec 2021 18:12:11 +0000

python-tabulate (0.8.7-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix FTBFS with python 3.10 (Closes: #1000742)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 04 Dec 2021 16:25:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: python-tabulate
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yago González <yagogonzalezg@gmail.com>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Yago González <yagogonzalezg@gmail.com>,
+ ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-nose,
                python3-setuptools,
                python3-wcwidth,
-Standards-Version: 3.9.8
+Standards-Version: 4.6.1
 Section: python
-Homepage: https://bitbucket.org/astanin/python-tabulate/
+Homepage: https://github.com/astanin/python-tabulate/
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tabulate.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tabulate
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-tabulate
 Architecture: all

## python-tabulate 0.9.0

=== .circleci/requirements.txt ===
pytest
tox
numpy
pandas
wcwidth
setuptools
pip
build
wheel
setuptools_scm

=== debian/changelog ===
python-tabulate (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0 (Closes: #1070359)
  * Update d/copyright.
  * Enable Salsa CI.
  * Update Build-Depends to accept pyproject.toml.
  * Enable the tests.
  * Update standards version to 4.7.0, no changes needed.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 15 May 2024 20:00:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-wcwidth,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: python
 Homepage: https://github.com/astanin/python-tabulate/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tabulate.git

=== debian/tests/control ===
Tests: upstreamtests
Restrictions: allow-stderr
Depends: python3-all,
         python3-tabulate,
         python3-numpy,
         python3-pandas,
         python3-pytest,
         python3-wcwidth

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tabulate/tabulate-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
